import request from '@/utils/request'

// 分级管控-列表
export function laboratoryGradeManageList(data) {
  return request({
    url: '/laboratory/gradeManage/list',
    method: 'post',
    data: data
  })
}

// 分级管控-新增
export function laboratoryGradeManageAdd(data) {
  return request({
    url: '/laboratory/gradeManage/add',
    method: 'post',
    data: data
  })
}

// 分级管控-修改
export function laboratoryGradeManageUpdate(data) {
  return request({
    url: '/laboratory/gradeManage/update',
    method: 'post',
    data: data
  })
}

// 分级管控-执行
export function laboratoryGradeManageExecute(data) {
  return request({
    url: '/laboratory/gradeManage/execute',
    method: 'post',
    data: data
  })
}

// 分级管控-详情
export function laboratoryGradeManageDetail(query) {
  return request({
    url: '/laboratory/gradeManage/detail',
    method: 'get',
    params: query
  })
}
// 分级管控-删除
export function laboratoryGradeManageDelete(query) {
  return request({
    url: '/laboratory/gradeManage/delete',
    method: 'get',
    params: query
  })
}
